ACL_SET_PERMSET(3)

NAME
acl_set_permset - set the permission set in an ACL entry

LIBRARY
Linux Access Control Lists library (libacl, -lacl).

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_set_permset(acl_entry_t entry_d, acl_permset_t permset_d);

DESCRIPTION
The acl_set_permset() function sets the permission set of the ACL entry indicated by the argument entry_d to the permissions contained in the argument permset_d.

Any ACL entry descriptors that refer to the entry containing the permission set referred to by permset_d shall continue to refer to those entries. Any ACL entry descriptors that refer to the entry referred to by entry_d shall continue to refer to that entry.

RETURN VALUE

ERRORS
If any of the following conditions occur, the acl_set_permset() function returns -1 and sets errno to the corresponding value:

[EINVAL]
    The argument entry_d is not a valid descriptor for an ACL entry.

    The argument permset_d is not a valid descriptor for a permission set within an ACL entry.

    The argument permset_d contains values which are not valid acl_permset_t values.

STANDARDS
IEEE Std 1003.1e draft 17 (“POSIX.1e”, abandoned)

SEE ALSO
acl_add_perm(3), acl_clear_perms(3), acl_delete_perm(3), acl_get_perm(3), acl_get_permset(3), acl_get_qualifier(3), acl_get_tag_type(3), acl_set_qualifier(3), acl_set_tag_type(3), acl(5)

AUTHOR
Derived from the FreeBSD manual pages written by Robert N M Watson <rwatson@FreeBSD.org>, and adapted for Linux by Andreas Gruenbacher <andreas.gruenbacher@gmail.com>.